aboutsummaryrefslogtreecommitdiff
path: root/git-submodule.sh
diff options
context:
space:
mode:
authorJohannes Schindelin <Johannes.Schindelin@gmx.de>2008-05-16 11:23:03 +0100
committerJunio C Hamano <gitster@pobox.com>2008-05-16 13:03:55 -0700
commitbe4d2c83b68a96285cc05036add4d64d324e52d9 (patch)
treeb2400cbbd1d143ea912c0a311016a7d2f5c0794c /git-submodule.sh
parentb30317819dcbcb99a9ef520631e6ab002b6755a0 (diff)
downloadgit-be4d2c83b68a96285cc05036add4d64d324e52d9.tar.gz
git-be4d2c83b68a96285cc05036add4d64d324e52d9.tar.xz
submodule update: add convenience option --init
When a submodule is not initialized and you do not want to change the defaults from .gitmodules anyway, you can now say $ git submodule update --init <name> When "update" is called without --init on an uninitialized submodule, a hint to use --init is printed. Signed-off-by: Johannes Schindelin <johannes.schindelin@gmx.de> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-submodule.sh')
-rwxr-xr-xgit-submodule.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/git-submodule.sh b/git-submodule.sh
index b4b7d28d9..100737210 100755
--- a/git-submodule.sh
+++ b/git-submodule.sh
@@ -5,7 +5,7 @@
# Copyright (c) 2007 Lars Hjemli
USAGE="[--quiet] [--cached] \
-[add <repo> [-b branch]|status|init|update|summary [-n|--summary-limit <n>] [<commit>]] \
+[add <repo> [-b branch]|status|init|update [-i|--init]|summary [-n|--summary-limit <n>] [<commit>]] \
[--] [<path>...]"
OPTIONS_SPEC=
. git-sh-setup
@@ -271,6 +271,10 @@ cmd_update()
-q|--quiet)
quiet=1
;;
+ -i|--init)
+ shift
+ cmd_init "$@" || return
+ ;;
--)
shift
break
@@ -296,6 +300,7 @@ cmd_update()
# path have been specified
test "$#" != "0" &&
say "Submodule path '$path' not initialized"
+ say "Maybe you want to use 'update --init'?"
continue
fi